/* $Id: relay.h,v 1.6 2000/09/11 00:01:55 bodo Exp $ */
/*
 * This file is part of relay.
 *
 * Copyright (C) 2000 Bodo Bellut
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   Authors:  Bodo Bellut (bodo@bellut.net)
 */

#ifndef RELAY_H
#define RELAY_H

#define RELAIS_TRUE 1
#define RELAIS_FALSE 0
#define RELAIS_ERROR -1

#define OPTMASK_EXEC  1
#define OPTMASK_BLOCK 2

#define flushfd(fd) lseek((fd), 0, SEEK_END);
typedef unsigned char rdata[4];

/* low level routines */
int senddata(int, rdata);	/* send 4 bytes via serial line */
int readdata(int, rdata);	/* receive 4 bytes via serial line */
/* high level routines */
int nop(int, int);		/* no operation, returns error */
int initcards(int, int);	/* init, register card numbers */
int setrelay(int,int,int);	/* set status of specific relay on specific card */
int getrelay(int,int);		/* get status of specific relay on specific card */
int setoption(int,int,int);	/* set options of specific relay on specific card */
int getoption(int,int);		/* get options of specific relay on specific card */
/* helper routines */
int restoretty(int);		/* restore tty to initial state */

#endif /* RELAY_H */
